import axios from '@/utils/request'

export function getList(query) {
  return axios({
    url: "/udiwms/relCode/batch/filter",
    method: "get",
    params: query
  });
}

export function delRelCode(query) {
  return axios({
    url: "/udiwms/relCode/batch/delete",
    method: "get",
    params: query
  });
}
export function deleteDetail(query) {
  return axios({
    url: "/udiwms/relCode/batch/deleteDetail",
    method: "get",
    params: query
  });
}

export function addRelCode(query) {
  return axios({
    url: "/udiwms/relCode/batch/add",
    method: "post",
    data: query
  });
}
export function deleteAllDetail(query) {
  return axios({
    url: "/udiwms/relCode/batch/deleteAllDetail",
    method: "post",
    data: query
  });
}
export function addRelCodeSpellBox(query) {
  return axios({
    url: "/udiwms/relCode/batch/addRelCodeSpellBox",
    method: "post",
    data: query
  });
}

export function getDetailList(query) {
  return axios({
    url: "/udiwms/relCode/detail/filter",
    method: "get",
    params: query
  });
}


export function scanCodeRelCode(query) {
  return axios({
    url: "/udiwms/relCode/detail/scanCode",
    method: "post",
    data: query
  });
}

export function updateIoCodeTempEntity(query) {
  return axios({
    url: "/udiwms/relCode/updateIoCodeTempEntity",
    method: "get",
    params: query
  });
}
